#
# See slapd.conf(5) for details on configuration options.
# This file should NOT be world readable.
#
include		/etc/openldap/schema/core.schema
include		/etc/openldap/schema/cosine.schema
include		/etc/openldap/schema/inetorgperson.schema
include		/etc/openldap/schema/nis.schema
include         /etc/openldap/schema/qmail.schema
include         /etc/openldap/schema/messaging_core.schema
include         /etc/openldap/schema/pma-multimail.schema
include         /etc/openldap/schema/addressBook.schema

# Allow LDAPv2 client connections.  This is NOT the default.
allow bind_v2

# Do not enable referrals until AFTER you have a working directory
# service AND an understanding of referrals.
#referral	ldap://root.openldap.org

pidfile		/var/run/openldap/slapd.pid
argsfile	/var/run/openldap/slapd.args

loglevel	0

# Load dynamic backend modules:
modulepath	/usr/libexec/openldap
moduleload	back_bdb.la
moduleload	back_monitor.la
# moduleload	back_ldap.la
# moduleload	back_ldbm.la
# moduleload	back_passwd.la
# moduleload	back_shell.la

# The next three lines allow use of TLS for encrypting connections using a
# dummy test certificate which you can generate by changing to
# /etc/pki/tls/certs, running "make slapd.pem", and fixing permissions on
# slapd.pem so that the ldap user or group can read it.  Your client software
# may balk at self-signed certificates, however.
# TLSCACertificateFile /etc/pki/tls/certs/ca-bundle.crt
# TLSCertificateFile /etc/pki/tls/certs/slapd.pem
# TLSCertificateKeyFile /etc/pki/tls/certs/slapd.pem

# Sample security restrictions
#	Require integrity protection (prevent hijacking)
#	Require 112-bit (3DES or better) encryption for updates
#	Require 63-bit encryption for simple bind
# security ssf=1 update_ssf=112 simple_bind=64

# Sample access control policy:
#	Root DSE: allow anyone to read it
#	Subschema (sub)entry DSE: allow anyone to read it
#	Other DSEs:
#		Allow self write access
#		Allow authenticated users read access
#		Allow anonymous users to authenticate
#	Directives needed to implement policy:
# access to dn.base="" by * read
# access to dn.base="cn=Subschema" by * read
# access to *
#	by self write
#	by users read
#	by anonymous auth
#
# if no access controls are present, the default policy
# allows anyone and everyone to read anything but restricts
# updates to rootdn.  (e.g., "access to * by * read")
#
# rootdn can always read and write EVERYTHING!

#######################################################################
# bdb1 database definitions
#######################################################################
database	bdb
suffix          "ou=CONTENT,o=domain,c=fr"
rootdn          "cn=admin,ou=CONTENT,o=domain,c=fr"
# Cleartext passwords, especially for the rootdn, should
# be avoided.  See slappasswd(8) and slapd.conf(5) for details.
# Use of strong authentication encouraged.
rootpw		secret
# rootpw		{crypt}ijFYNcSNctBYg

# The database directory MUST exist prior to running slapd AND 
# should only be accessible by the slapd and slap tools.
# Mode 700 recommended.
directory       /var/openldap-data/bdb1

# Indices to maintain for this database
index userid,pnnumber,submxid,maillogin,abookaliasid eq,pres
index objectClass eq
index entryCSN,entryUUID eq

#Cache values
cachesize       10000
dncachesize     4000000
idlcachesize    10000
cachefree       10

syncrepl rid=001
  provider=ldap://10.142.15.41:389
  type=refreshAndPersist
  retry="5 15 300 +"
  searchbase="ou=CONTENT,o=domain,c=fr"
  schemachecking=off
  attrs="*,+"
  bindmethod=simple
  binddn="cn=admin,ou=CONTENT,o=domain,c=fr"
  credentials=secret
# Refer updates to the master
updateref ldap://10.142.15.41:389
# Replicas of this database
#replogfile /var/lib/ldap/openldap-master-replog
#replica host=ldap-1.example.com:389 starttls=critical
#     bindmethod=sasl saslmech=GSSAPI
#     authcId=host/ldap-master.example.com@EXAMPLE.COM
#######################################################################
# bdb2 database definitions
#######################################################################
database        bdb
suffix          "ou=INDEXES,o=domain,c=fr"
rootdn          "cn=admin,ou=INDEXES,o=domain,c=fr"
# Cleartext passwords, especially for the rootdn, should
# be avoid.  See slappasswd(8) and slapd.conf(5) for details.
# Use of strong authentication encouraged.
rootpw          secret
# The database directory MUST exist prior to running slapd AND 
# should only be accessible by the slapd/tools. Mode 700 recommended.
directory       /var/openldap-data/bdb2
#checkpoint 10000 60 => Attention aux perf, adapter tuning Berkeley DB
# Indices to maintain
index weblogin,maillogin,mail,pnnumber eq,pres
index profileid,loginname eq,pres
index objectClass eq
index entryCSN,entryUUID eq

#Cache values
cachesize       10000
dncachesize     4000000
idlcachesize    10000
cachefree       10

syncrepl rid=002
  provider=ldap://10.142.15.41:389
  type=refreshAndPersist
  retry="5 15 300 +"
  searchbase="ou=INDEXES,o=domain,c=fr"
  schemachecking=off
  attrs="*,+"
  bindmethod=simple
  binddn="cn=admin,ou=INDEXES,o=domain,c=fr"
  credentials=secret
# Refer updates to the master
updateref ldap://10.142.15.41:389
#######################################################################
# monitor database definitions
#######################################################################
database        monitor
